################################################################################################
#
# New Blox
#
################################################################################################


################################################################# General ################################################################


scoreboard objectives add rc minecraft.used:minecraft.carrot_on_a_stick
scoreboard objectives add sneak minecraft.custom:minecraft.sneak_time
scoreboard objectives add talk minecraft.custom:minecraft.talked_to_villager
scoreboard objectives add walk minecraft.custom:minecraft.walk_one_cm
scoreboard objectives add sprint minecraft.custom:minecraft.sprint_one_cm
scoreboard objectives add crouch minecraft.custom:minecraft.crouch_one_cm
scoreboard objectives add jump minecraft.custom:minecraft.jump
scoreboard objectives add ET dummy
scoreboard objectives add lamp_color dummy
scoreboard objectives add p_rot dummy
scoreboard objectives add p_rot2 dummy
scoreboard objectives add dia_state dummy
scoreboard objectives add segment_y dummy
scoreboard objectives add segment_x dummy
scoreboard objectives add segment_z dummy
scoreboard objectives add power dummy
scoreboard objectives add window_state dummy
scoreboard objectives add blind_state dummy

tag @a[tag=stairs] add give
tag @a remove stairs

tag @a[tag=wood_beam] add give1
tag @a remove wood_beam

tag @a[tag=lamp] add give3
tag @a remove lamp

tag @a[tag=redstone] add give2
tag @a remove redstone

tag @a[tag=glass] add give4
tag @a remove glass

gamerule logAdminCommands false
gamerule sendCommandFeedback false
gamerule commandBlockOutput false

team add nocoll
team empty nocoll
team modify nocoll seeFriendlyInvisibles false
team modify nocoll collisionRule never
team join nocoll @a

scoreboard players set @e ET 1
scoreboard players set @e[type=item] ET 0
scoreboard players set @e[type=armor_stand] ET 0
scoreboard players set @e[type=end_crystal] ET 0
scoreboard players set @e[type=area_effect_cloud] ET 0
scoreboard players set @e[type=boat] ET 0
scoreboard players set @e[type=arrow] ET 0
scoreboard players set @e[type=painting] ET 0
scoreboard players set @e[type=player] ET 0
scoreboard players set @e[type=arrow] ET 0
scoreboard players set @e[type=minecart] ET 0
scoreboard players set @e[type=experience_orb] ET 0
scoreboard players set @e[type=zombie] ET 2
scoreboard players set @e[type=zombie_villager] ET 2
scoreboard players set @e[type=zombie_horse] ET 2
scoreboard players set @e[type=zombie_pigman] ET 2
scoreboard players set @e[type=wither_skeleton] ET 2
scoreboard players set @e[type=husk] ET 2
scoreboard players set @e[type=skeleton] ET 2
scoreboard players set @e[type=stray] ET 2



############################################################### Sideways stairs ##################################################


scoreboard players set @a[y_rotation=0..90] p_rot 1
scoreboard players set @a[y_rotation=91..180] p_rot 2
scoreboard players set @a[y_rotation=-180..-90] p_rot 3
scoreboard players set @a[y_rotation=-90..-1] p_rot 4

give @a[tag=give] minecraft:endermite_spawn_egg{display:{Name:"{\"text\":\"§6§lOak Stairs\"}"},EntityTag:{id:"minecraft:endermite",Tags:["sp1","sp"]},HideFlags:63}
execute at @e[tag=sp1] align xyz run tag @p add placer1
execute at @a[tag=placer1,scores={p_rot=4}] run execute at @e[tag=sp1] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Invisible:1,Tags:["side_stair"],Marker:1,DisabledSlots:4144959,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:0},Count:1}]}
execute at @a[tag=placer1,scores={p_rot=3}] run execute at @e[tag=sp1] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Invisible:1,Tags:["side_stair"],Marker:1,DisabledSlots:4144959,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:1},Count:1}]}
execute at @a[tag=placer1,scores={p_rot=2}] run execute at @e[tag=sp1] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Invisible:1,Tags:["side_stair"],Marker:1,DisabledSlots:4144959,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:2},Count:1}]}
execute at @a[tag=placer1,scores={p_rot=1}] run execute at @e[tag=sp1] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Invisible:1,Tags:["side_stair"],Marker:1,DisabledSlots:4144959,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:3},Count:1}]}
execute at @e[tag=sp1] align xyz run setblock ~ ~ ~ barrier
execute as @e[tag=sp1] run data merge entity @s {DeathTime:19,Health:0}
tag @a[tag=placer1] remove placer1

give @a[tag=give] minecraft:endermite_spawn_egg{display:{Name:"{\"text\":\"§6§lBirch Stairs\"}"},EntityTag:{id:"minecraft:endermite",Tags:["sp2","sp"]},HideFlags:63}
execute at @e[tag=sp2] align xyz run tag @p add placer2
execute at @a[tag=placer2,scores={p_rot=4}] run execute at @e[tag=sp2] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Invisible:1,Tags:["side_stair"],Marker:1,DisabledSlots:4144959,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:4},Count:1}]}
execute at @a[tag=placer2,scores={p_rot=3}] run execute at @e[tag=sp2] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Invisible:1,Tags:["side_stair"],Marker:1,DisabledSlots:4144959,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:5},Count:1}]}
execute at @a[tag=placer2,scores={p_rot=2}] run execute at @e[tag=sp2] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Invisible:1,Tags:["side_stair"],Marker:1,DisabledSlots:4144959,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:6},Count:1}]}
execute at @a[tag=placer2,scores={p_rot=1}] run execute at @e[tag=sp2] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Invisible:1,Tags:["side_stair"],Marker:1,DisabledSlots:4144959,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:7},Count:1}]}
execute at @e[tag=sp2] align xyz run setblock ~ ~ ~ barrier
execute as @e[tag=sp2] run data merge entity @s {DeathTime:19,Health:0}
tag @a[tag=placer2] remove placer2

give @a[tag=give] minecraft:endermite_spawn_egg{display:{Name:"{\"text\":\"§6§lJungle Stairs\"}"},EntityTag:{id:"minecraft:endermite",Tags:["sp3","sp"]},HideFlags:63}
execute at @e[tag=sp3] align xyz run tag @p add placer3
execute at @a[tag=placer3,scores={p_rot=4}] run execute at @e[tag=sp3] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Invisible:1,Tags:["side_stair"],Marker:1,DisabledSlots:4144959,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:8},Count:1}]}
execute at @a[tag=placer3,scores={p_rot=3}] run execute at @e[tag=sp3] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Invisible:1,Tags:["side_stair"],Marker:1,DisabledSlots:4144959,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:9},Count:1}]}
execute at @a[tag=placer3,scores={p_rot=2}] run execute at @e[tag=sp3] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Invisible:1,Tags:["side_stair"],Marker:1,DisabledSlots:4144959,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:10},Count:1}]}
execute at @a[tag=placer3,scores={p_rot=1}] run execute at @e[tag=sp3] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Invisible:1,Tags:["side_stair"],Marker:1,DisabledSlots:4144959,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:11},Count:1}]}
execute at @e[tag=sp3] align xyz run setblock ~ ~ ~ barrier
execute as @e[tag=sp3] run data merge entity @s {DeathTime:19,Health:0}
tag @a[tag=placer3] remove placer3

give @a[tag=give] minecraft:endermite_spawn_egg{display:{Name:"{\"text\":\"§6§lSpruce Stairs\"}"},EntityTag:{id:"minecraft:endermite",Tags:["sp4","sp"]},HideFlags:63}
execute at @e[tag=sp4] align xyz run tag @p add placer4
execute at @a[tag=placer4,scores={p_rot=4}] run execute at @e[tag=sp4] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Invisible:1,Tags:["side_stair"],Marker:1,DisabledSlots:4144959,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:12},Count:1}]}
execute at @a[tag=placer4,scores={p_rot=3}] run execute at @e[tag=sp4] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Invisible:1,Tags:["side_stair"],Marker:1,DisabledSlots:4144959,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:13},Count:1}]}
execute at @a[tag=placer4,scores={p_rot=2}] run execute at @e[tag=sp4] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Invisible:1,Tags:["side_stair"],Marker:1,DisabledSlots:4144959,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:14},Count:1}]}
execute at @a[tag=placer4,scores={p_rot=1}] run execute at @e[tag=sp4] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Invisible:1,Tags:["side_stair"],Marker:1,DisabledSlots:4144959,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:15},Count:1}]}
execute at @e[tag=sp4] align xyz run setblock ~ ~ ~ barrier
execute as @e[tag=sp4] run data merge entity @s {DeathTime:19,Health:0}
tag @a[tag=placer4] remove placer4

give @a[tag=give] minecraft:endermite_spawn_egg{display:{Name:"{\"text\":\"§6§lDark Oak Stairs\"}"},EntityTag:{id:"minecraft:endermite",Tags:["sp5","sp"]},HideFlags:63}
execute at @e[tag=sp5] align xyz run tag @p add placer5
execute at @a[tag=placer5,scores={p_rot=4}] run execute at @e[tag=sp5] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Invisible:1,Tags:["side_stair"],Marker:1,DisabledSlots:4144959,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:16},Count:1}]}
execute at @a[tag=placer5,scores={p_rot=3}] run execute at @e[tag=sp5] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Invisible:1,Tags:["side_stair"],Marker:1,DisabledSlots:4144959,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:17},Count:1}]}
execute at @a[tag=placer5,scores={p_rot=2}] run execute at @e[tag=sp5] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Invisible:1,Tags:["side_stair"],Marker:1,DisabledSlots:4144959,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:18},Count:1}]}
execute at @a[tag=placer5,scores={p_rot=1}] run execute at @e[tag=sp5] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Invisible:1,Tags:["side_stair"],Marker:1,DisabledSlots:4144959,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:19},Count:1}]}
execute at @e[tag=sp5] align xyz run setblock ~ ~ ~ barrier
execute as @e[tag=sp5] run data merge entity @s {DeathTime:19,Health:0}
tag @a[tag=placer5] remove placer5

give @a[tag=give] minecraft:endermite_spawn_egg{display:{Name:"{\"text\":\"§6§lAcacia Stairs\"}"},EntityTag:{id:"minecraft:endermite",Tags:["sp6","sp"]},HideFlags:63}
execute at @e[tag=sp6] align xyz run tag @p add placer6
execute at @a[tag=placer6,scores={p_rot=4}] run execute at @e[tag=sp6] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Invisible:1,Tags:["side_stair"],Marker:1,DisabledSlots:4144959,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:20},Count:1}]}
execute at @a[tag=placer6,scores={p_rot=3}] run execute at @e[tag=sp6] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Invisible:1,Tags:["side_stair"],Marker:1,DisabledSlots:4144959,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:21},Count:1}]}
execute at @a[tag=placer6,scores={p_rot=2}] run execute at @e[tag=sp6] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Invisible:1,Tags:["side_stair"],Marker:1,DisabledSlots:4144959,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:22},Count:1}]}
execute at @a[tag=placer6,scores={p_rot=1}] run execute at @e[tag=sp6] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Invisible:1,Tags:["side_stair"],Marker:1,DisabledSlots:4144959,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:23},Count:1}]}
execute at @e[tag=sp6] align xyz run setblock ~ ~ ~ barrier
execute as @e[tag=sp6] run data merge entity @s {DeathTime:19,Health:0}
tag @a[tag=placer6] remove placer6

give @a[tag=give] minecraft:endermite_spawn_egg{display:{Name:"{\"text\":\"§d§lPurpur Stairs\"}"},EntityTag:{id:"minecraft:endermite",Tags:["sp7","sp"]},HideFlags:63}
execute at @e[tag=sp7] align xyz run tag @p add placer7
execute at @a[tag=placer7,scores={p_rot=4}] run execute at @e[tag=sp7] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Invisible:1,Tags:["side_stair"],Marker:1,DisabledSlots:4144959,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:24},Count:1}]}
execute at @a[tag=placer7,scores={p_rot=3}] run execute at @e[tag=sp7] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Invisible:1,Tags:["side_stair"],Marker:1,DisabledSlots:4144959,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:25},Count:1}]}
execute at @a[tag=placer7,scores={p_rot=2}] run execute at @e[tag=sp7] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Invisible:1,Tags:["side_stair"],Marker:1,DisabledSlots:4144959,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:26},Count:1}]}
execute at @a[tag=placer7,scores={p_rot=1}] run execute at @e[tag=sp7] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Invisible:1,Tags:["side_stair"],Marker:1,DisabledSlots:4144959,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:27},Count:1}]}
execute at @e[tag=sp7] align xyz run setblock ~ ~ ~ barrier
execute as @e[tag=sp7] run data merge entity @s {DeathTime:19,Health:0}
tag @a[tag=placer7] remove placer7

give @a[tag=give] minecraft:endermite_spawn_egg{display:{Name:"{\"text\":\"§f§lQuartz Stairs\"}"},EntityTag:{id:"minecraft:endermite",Tags:["sp8","sp"]},HideFlags:63}
execute at @e[tag=sp8] align xyz run tag @p add placer8
execute at @a[tag=placer8,scores={p_rot=4}] run execute at @e[tag=sp8] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Invisible:1,Tags:["side_stair"],Marker:1,DisabledSlots:4144959,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:28},Count:1}]}
execute at @a[tag=placer8,scores={p_rot=3}] run execute at @e[tag=sp8] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Invisible:1,Tags:["side_stair"],Marker:1,DisabledSlots:4144959,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:29},Count:1}]}
execute at @a[tag=placer8,scores={p_rot=2}] run execute at @e[tag=sp8] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Invisible:1,Tags:["side_stair"],Marker:1,DisabledSlots:4144959,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:30},Count:1}]}
execute at @a[tag=placer8,scores={p_rot=1}] run execute at @e[tag=sp8] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Invisible:1,Tags:["side_stair"],Marker:1,DisabledSlots:4144959,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:31},Count:1}]}
execute at @e[tag=sp8] align xyz run setblock ~ ~ ~ barrier
execute as @e[tag=sp8] run data merge entity @s {DeathTime:19,Health:0}
tag @a[tag=placer8] remove placer8

give @a[tag=give] minecraft:endermite_spawn_egg{display:{Name:"{\"text\":\"§e§lSandstone Stairs\"}"},EntityTag:{id:"minecraft:endermite",Tags:["sp9","sp"]},HideFlags:63}
execute at @e[tag=sp9] align xyz run tag @p add placer9
execute at @a[tag=placer9,scores={p_rot=4}] run execute at @e[tag=sp9] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Invisible:1,Tags:["side_stair"],Marker:1,DisabledSlots:4144959,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:32},Count:1}]}
execute at @a[tag=placer9,scores={p_rot=3}] run execute at @e[tag=sp9] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Invisible:1,Tags:["side_stair"],Marker:1,DisabledSlots:4144959,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:33},Count:1}]}
execute at @a[tag=placer9,scores={p_rot=2}] run execute at @e[tag=sp9] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Invisible:1,Tags:["side_stair"],Marker:1,DisabledSlots:4144959,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:34},Count:1}]}
execute at @a[tag=placer9,scores={p_rot=1}] run execute at @e[tag=sp9] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Invisible:1,Tags:["side_stair"],Marker:1,DisabledSlots:4144959,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:35},Count:1}]}
execute at @e[tag=sp9] align xyz run setblock ~ ~ ~ barrier
execute as @e[tag=sp9] run data merge entity @s {DeathTime:19,Health:0}
tag @a[tag=placer9] remove placer9

give @a[tag=give] minecraft:endermite_spawn_egg{display:{Name:"{\"text\":\"§0§lNetherbrick Stairs\"}"},EntityTag:{id:"minecraft:endermite",Tags:["sp10","sp"]},HideFlags:63}
execute at @e[tag=sp10] align xyz run tag @p add placer10
execute at @a[tag=placer10,scores={p_rot=4}] run execute at @e[tag=sp10] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Invisible:1,Tags:["side_stair"],Marker:1,DisabledSlots:4144959,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:36},Count:1}]}
execute at @a[tag=placer10,scores={p_rot=3}] run execute at @e[tag=sp10] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Invisible:1,Tags:["side_stair"],Marker:1,DisabledSlots:4144959,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:37},Count:1}]}
execute at @a[tag=placer10,scores={p_rot=2}] run execute at @e[tag=sp10] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Invisible:1,Tags:["side_stair"],Marker:1,DisabledSlots:4144959,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:38},Count:1}]}
execute at @a[tag=placer10,scores={p_rot=1}] run execute at @e[tag=sp10] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Invisible:1,Tags:["side_stair"],Marker:1,DisabledSlots:4144959,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:39},Count:1}]}
execute at @e[tag=sp10] align xyz run setblock ~ ~ ~ barrier
execute as @e[tag=sp10] run data merge entity @s {DeathTime:19,Health:0}
tag @a[tag=placer10] remove placer10

give @a[tag=give] minecraft:endermite_spawn_egg{display:{Name:"{\"text\":\"§7§lCobblestone Stairs\"}"},EntityTag:{id:"minecraft:endermite",Tags:["sp11","sp"]},HideFlags:63}
execute at @e[tag=sp11] align xyz run tag @p add placer11
execute at @a[tag=placer11,scores={p_rot=4}] run execute at @e[tag=sp11] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Invisible:1,Tags:["side_stair"],Marker:1,DisabledSlots:4144959,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:40},Count:1}]}
execute at @a[tag=placer11,scores={p_rot=3}] run execute at @e[tag=sp11] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Invisible:1,Tags:["side_stair"],Marker:1,DisabledSlots:4144959,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:41},Count:1}]}
execute at @a[tag=placer11,scores={p_rot=2}] run execute at @e[tag=sp11] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Invisible:1,Tags:["side_stair"],Marker:1,DisabledSlots:4144959,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:42},Count:1}]}
execute at @a[tag=placer11,scores={p_rot=1}] run execute at @e[tag=sp11] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Invisible:1,Tags:["side_stair"],Marker:1,DisabledSlots:4144959,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:43},Count:1}]}
execute at @e[tag=sp11] align xyz run setblock ~ ~ ~ barrier
execute as @e[tag=sp11] run data merge entity @s {DeathTime:19,Health:0}
tag @a[tag=placer11] remove placer11

give @a[tag=give] minecraft:endermite_spawn_egg{display:{Name:"{\"text\":\"§6§lBrick Stairs\"}"},EntityTag:{id:"minecraft:endermite",Tags:["sp12","sp"]},HideFlags:63}
execute at @e[tag=sp12] align xyz run tag @p add placer12
execute at @a[tag=placer12,scores={p_rot=4}] run execute at @e[tag=sp12] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Invisible:1,Tags:["side_stair"],Marker:1,DisabledSlots:4144959,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:44},Count:1}]}
execute at @a[tag=placer12,scores={p_rot=3}] run execute at @e[tag=sp12] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Invisible:1,Tags:["side_stair"],Marker:1,DisabledSlots:4144959,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:45},Count:1}]}
execute at @a[tag=placer12,scores={p_rot=2}] run execute at @e[tag=sp12] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Invisible:1,Tags:["side_stair"],Marker:1,DisabledSlots:4144959,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:46},Count:1}]}
execute at @a[tag=placer12,scores={p_rot=1}] run execute at @e[tag=sp12] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Invisible:1,Tags:["side_stair"],Marker:1,DisabledSlots:4144959,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:47},Count:1}]}
execute at @e[tag=sp12] align xyz run setblock ~ ~ ~ barrier
execute as @e[tag=sp12] run data merge entity @s {DeathTime:19,Health:0}
tag @a[tag=placer12] remove placer12

give @a[tag=give] minecraft:endermite_spawn_egg{display:{Name:"{\"text\":\"§7§lStonebrick Stairs\"}"},EntityTag:{id:"minecraft:endermite",Tags:["sp13","sp"]},HideFlags:63}
execute at @e[tag=sp13] align xyz run tag @p add placer13
execute at @a[tag=placer13,scores={p_rot=4}] run execute at @e[tag=sp13] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Invisible:1,Tags:["side_stair"],Marker:1,DisabledSlots:4144959,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:48},Count:1}]}
execute at @a[tag=placer13,scores={p_rot=3}] run execute at @e[tag=sp13] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Invisible:1,Tags:["side_stair"],Marker:1,DisabledSlots:4144959,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:49},Count:1}]}
execute at @a[tag=placer13,scores={p_rot=2}] run execute at @e[tag=sp13] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Invisible:1,Tags:["side_stair"],Marker:1,DisabledSlots:4144959,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:50},Count:1}]}
execute at @a[tag=placer13,scores={p_rot=1}] run execute at @e[tag=sp13] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Invisible:1,Tags:["side_stair"],Marker:1,DisabledSlots:4144959,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:51},Count:1}]}
execute at @e[tag=sp13] align xyz run setblock ~ ~ ~ barrier
execute as @e[tag=sp13] run data merge entity @s {DeathTime:19,Health:0}
tag @a[tag=placer13] remove placer13


execute as @e[tag=side_stair] at @s if block ~ ~ ~ air run kill @s




############################################################### Wooden Beam ##############################################


scoreboard players set @a[y_rotation=-45..45] p_rot2 3
scoreboard players set @a[y_rotation=46..134] p_rot2 2
scoreboard players set @a[y_rotation=-134..-46] p_rot2 1
scoreboard players set @a[y_rotation=-180..-134] p_rot2 4
scoreboard players set @a[y_rotation=134..180] p_rot2 4

give @a[tag=give1] minecraft:endermite_spawn_egg{display:{Name:"{\"text\":\"§7§lBeam\"}"},EntityTag:{id:"minecraft:endermite",Tags:["sp14","sp"]},HideFlags:63}
execute at @e[tag=sp14] align xyz run tag @p add placer14
execute at @a[tag=placer14,scores={p_rot2=2}] run execute at @e[tag=sp14] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Invisible:1,Tags:["beam","beam_x"],Marker:1,DisabledSlots:4144959,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:52},Count:1}]}
execute at @a[tag=placer14,scores={p_rot2=1}] run execute at @e[tag=sp14] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Invisible:1,Tags:["beam","beam_x"],Marker:1,DisabledSlots:4144959,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:53},Count:1}]}
execute at @a[tag=placer14,scores={p_rot2=4}] run execute at @e[tag=sp14] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Invisible:1,Tags:["beam","beam_z"],Marker:1,DisabledSlots:4144959,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:54},Count:1}]}
execute at @a[tag=placer14,scores={p_rot2=3}] run execute at @e[tag=sp14] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Invisible:1,Tags:["beam","beam_z"],Marker:1,DisabledSlots:4144959,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:55},Count:1}]}
execute at @e[tag=sp14] align xyz run setblock ~ ~ ~ barrier
execute as @e[tag=sp14] run data merge entity @s {DeathTime:19,Health:0}
tag @a[tag=placer14] remove placer14


scoreboard players set @e[tag=beam_x] dia_state 0
execute as @e[tag=beam_x] at @s positioned ~-1 ~1 ~ run execute at @e[tag=beam_x,distance=..0.1] run scoreboard players set @s dia_state 1
execute as @e[tag=beam_x] at @s positioned ~1 ~1 ~ run execute at @e[tag=beam_x,distance=..0.1] run scoreboard players set @s dia_state 3
execute as @e[tag=beam_x] at @s positioned ~1 ~-1 ~ run execute at @e[tag=beam_x,distance=..0.1] run scoreboard players set @s dia_state 2
execute as @e[tag=beam_x] at @s positioned ~-1 ~-1 ~ run execute at @e[tag=beam_x,distance=..0.1] run scoreboard players set @s dia_state 4

execute as @e[tag=beam_x] at @s positioned ~1 ~-1 ~ run execute at @e[tag=beam_x,distance=..0.1] run execute at @s positioned ~-1 ~ ~ run execute at @e[tag=beam_x,distance=..0.1] run scoreboard players set @s dia_state 5
execute as @e[tag=beam_x] at @s positioned ~-1 ~-1 ~ run execute at @e[tag=beam_x,distance=..0.1] run execute at @s positioned ~1 ~ ~ run execute at @e[tag=beam_x,distance=..0.1] run scoreboard players set @s dia_state 6

execute as @e[tag=beam_x] at @s positioned ~ ~1 ~ run execute at @e[tag=beam_x,distance=..0.1] run scoreboard players set @s dia_state 7
execute as @e[tag=beam_x] at @s positioned ~ ~-1 ~ run execute at @e[tag=beam_x,distance=..0.1] run scoreboard players set @s dia_state 7

execute as @e[tag=beam_x] at @s positioned ~1 ~1 ~ run execute at @e[tag=beam_x,distance=..0.1] run execute at @s positioned ~ ~-1 ~ run execute at @e[tag=beam_x,distance=..0.1] run scoreboard players set @s dia_state 8
execute as @e[tag=beam_x] at @s positioned ~-1 ~1 ~ run execute at @e[tag=beam_x,distance=..0.1] run execute at @s positioned ~ ~-1 ~ run execute at @e[tag=beam_x,distance=..0.1] run scoreboard players set @s dia_state 9



scoreboard players set @e[tag=beam_z] dia_state 0
execute as @e[tag=beam_z] at @s positioned ~ ~1 ~-1 run execute at @e[tag=beam_z,distance=..0.1] run scoreboard players set @s dia_state 1
execute as @e[tag=beam_z] at @s positioned ~ ~1 ~1 run execute at @e[tag=beam_z,distance=..0.1] run scoreboard players set @s dia_state 3
execute as @e[tag=beam_z] at @s positioned ~ ~-1 ~1 run execute at @e[tag=beam_z,distance=..0.1] run scoreboard players set @s dia_state 2
execute as @e[tag=beam_z] at @s positioned ~ ~-1 ~-1 run execute at @e[tag=beam_z,distance=..0.1] run scoreboard players set @s dia_state 4



execute as @e[tag=beam_z] at @s positioned ~ ~-1 ~1 run execute at @e[tag=beam_z,distance=..0.1] run execute at @s positioned ~ ~ ~-1 run execute at @e[tag=beam_z,distance=..0.1] run scoreboard players set @s dia_state 5
execute as @e[tag=beam_z] at @s positioned ~ ~-1 ~-1 run execute at @e[tag=beam_z,distance=..0.1] run execute at @s positioned ~ ~ ~1 run execute at @e[tag=beam_z,distance=..0.1] run scoreboard players set @s dia_state 6

execute as @e[tag=beam_z] at @s positioned ~ ~1 ~ run execute at @e[tag=beam_z,distance=..0.1] run scoreboard players set @s dia_state 7
execute as @e[tag=beam_z] at @s positioned ~ ~-1 ~ run execute at @e[tag=beam_z,distance=..0.1] run scoreboard players set @s dia_state 7

execute as @e[tag=beam_z] at @s positioned ~ ~1 ~1 run execute at @e[tag=beam_z,distance=..0.1] run execute at @s positioned ~ ~-1 ~ run execute at @e[tag=beam_z,distance=..0.1] run scoreboard players set @s dia_state 8
execute as @e[tag=beam_z] at @s positioned ~ ~1 ~-1 run execute at @e[tag=beam_z,distance=..0.1] run execute at @s positioned ~ ~-1 ~ run execute at @e[tag=beam_z,distance=..0.1] run scoreboard players set @s dia_state 9



execute as @e[tag=beam_x,scores={dia_state=0}] run data merge entity @s {ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:52},Count:1}]}

execute as @e[tag=beam_x,scores={dia_state=1}] run data merge entity @s {ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:61},Count:1}]}
execute as @e[tag=beam_x,scores={dia_state=2}] run data merge entity @s {ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:57},Count:1}]}

execute as @e[tag=beam_x,scores={dia_state=3}] run data merge entity @s {ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:60},Count:1}]}
execute as @e[tag=beam_x,scores={dia_state=4}] run data merge entity @s {ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:56},Count:1}]}

execute as @e[tag=beam_x,scores={dia_state=5}] run data merge entity @s {ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:62},Count:1}]}
execute as @e[tag=beam_x,scores={dia_state=6}] run data merge entity @s {ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:63},Count:1}]}

execute as @e[tag=beam_x,scores={dia_state=7}] run data merge entity @s {ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:64},Count:1}]}

execute as @e[tag=beam_x,scores={dia_state=8}] run data merge entity @s {ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:66},Count:1}]}
execute as @e[tag=beam_x,scores={dia_state=9}] run data merge entity @s {ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:65},Count:1}]}



execute as @e[tag=beam_z,scores={dia_state=0}] run data merge entity @s {ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:67},Count:1}]}

execute as @e[tag=beam_z,scores={dia_state=1}] run data merge entity @s {ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:76},Count:1}]}
execute as @e[tag=beam_z,scores={dia_state=2}] run data merge entity @s {ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:72},Count:1}]}

execute as @e[tag=beam_z,scores={dia_state=3}] run data merge entity @s {ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:75},Count:1}]}
execute as @e[tag=beam_z,scores={dia_state=4}] run data merge entity @s {ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:71},Count:1}]}

execute as @e[tag=beam_z,scores={dia_state=5}] run data merge entity @s {ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:77},Count:1}]}
execute as @e[tag=beam_z,scores={dia_state=6}] run data merge entity @s {ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:78},Count:1}]}

execute as @e[tag=beam_z,scores={dia_state=7}] run data merge entity @s {ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:79},Count:1}]}

execute as @e[tag=beam_z,scores={dia_state=8}] run data merge entity @s {ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:81},Count:1}]}
execute as @e[tag=beam_z,scores={dia_state=9}] run data merge entity @s {ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:80},Count:1}]}





execute as @e[tag=beam] at @s if block ~ ~ ~ air run kill @s


############################################################### Colored Lamp ##############################################

give @a[tag=give3] minecraft:endermite_spawn_egg{display:{Name:"{\"text\":\"§6§lColored Lamp\"}"},EntityTag:{id:"minecraft:endermite",Tags:["sp15","sp"]},HideFlags:63}
execute at @e[tag=sp15] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Invisible:1,Tags:["colored_lamp"],Marker:0,DisabledSlots:4144959,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:82},Count:1}]}
execute at @e[tag=sp15] align xyz run setblock ~ ~ ~ redstone_lamp
execute as @e[tag=sp15] run data merge entity @s {DeathTime:19,Health:0}

scoreboard players add @e[tag=colored_lamp] lamp_color 0
execute as @e[tag=colored_lamp] at @s if block ~ ~ ~ redstone_lamp[lit=false] run data merge entity @s {ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:82},Count:1}]}

execute as @e[tag=colored_lamp,scores={lamp_color=0}] at @s if block ~ ~ ~ redstone_lamp[lit=true] run data merge entity @s {ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:83},Count:1}]}
execute as @e[tag=colored_lamp,scores={lamp_color=1}] at @s if block ~ ~ ~ redstone_lamp[lit=true] run data merge entity @s {ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:84},Count:1}]}
execute as @e[tag=colored_lamp,scores={lamp_color=2}] at @s if block ~ ~ ~ redstone_lamp[lit=true] run data merge entity @s {ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:85},Count:1}]}
execute as @e[tag=colored_lamp,scores={lamp_color=3}] at @s if block ~ ~ ~ redstone_lamp[lit=true] run data merge entity @s {ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:86},Count:1}]}
execute as @e[tag=colored_lamp,scores={lamp_color=4}] at @s if block ~ ~ ~ redstone_lamp[lit=true] run data merge entity @s {ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:87},Count:1}]}
execute as @e[tag=colored_lamp,scores={lamp_color=5}] at @s if block ~ ~ ~ redstone_lamp[lit=true] run data merge entity @s {ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:88},Count:1}]}
execute as @e[tag=colored_lamp,scores={lamp_color=6}] at @s if block ~ ~ ~ redstone_lamp[lit=true] run data merge entity @s {ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:89},Count:1}]}
execute as @e[tag=colored_lamp,scores={lamp_color=7}] at @s if block ~ ~ ~ redstone_lamp[lit=true] run data merge entity @s {ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:90},Count:1}]}
execute as @e[tag=colored_lamp,scores={lamp_color=8}] at @s if block ~ ~ ~ redstone_lamp[lit=true] run data merge entity @s {ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:91},Count:1}]}
execute as @e[tag=colored_lamp,scores={lamp_color=9}] at @s if block ~ ~ ~ redstone_lamp[lit=true] run data merge entity @s {ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:92},Count:1}]}
execute as @e[tag=colored_lamp,scores={lamp_color=10}] at @s if block ~ ~ ~ redstone_lamp[lit=true] run data merge entity @s {ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:93},Count:1}]}
execute as @e[tag=colored_lamp,scores={lamp_color=11}] at @s if block ~ ~ ~ redstone_lamp[lit=true] run data merge entity @s {ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:94},Count:1}]}
execute as @e[tag=colored_lamp,scores={lamp_color=12}] at @s if block ~ ~ ~ redstone_lamp[lit=true] run data merge entity @s {ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:95},Count:1}]}
execute as @e[tag=colored_lamp,scores={lamp_color=13}] at @s if block ~ ~ ~ redstone_lamp[lit=true] run data merge entity @s {ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:96},Count:1}]}
execute as @e[tag=colored_lamp,scores={lamp_color=14}] at @s if block ~ ~ ~ redstone_lamp[lit=true] run data merge entity @s {ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:97},Count:1}]}
execute as @e[tag=colored_lamp,scores={lamp_color=15}] at @s if block ~ ~ ~ redstone_lamp[lit=true] run data merge entity @s {ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:98},Count:1}]}
execute as @e[tag=colored_lamp,scores={lamp_color=16}] at @s if block ~ ~ ~ redstone_lamp[lit=true] run data merge entity @s {ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:99},Count:1}]}

execute as @e[tag=colored_lamp] at @s if block ~ ~ ~ air run kill @s




execute as @e[type=item,nbt={Item:{id:"minecraft:bone_meal"}}] at @s run scoreboard players set @e[tag=colored_lamp,distance=..1.5] lamp_color 1
execute as @e[type=item,nbt={Item:{id:"minecraft:bone_meal"}}] at @s run execute at @e[tag=colored_lamp,distance=..1.5] run kill @s

execute as @e[type=item,nbt={Item:{id:"minecraft:orange_dye"}}] at @s run scoreboard players set @e[tag=colored_lamp,distance=..1.5] lamp_color 2
execute as @e[type=item,nbt={Item:{id:"minecraft:orange_dye"}}] at @s run execute at @e[tag=colored_lamp,distance=..1.5] run kill @s

execute as @e[type=item,nbt={Item:{id:"minecraft:magenta_dye"}}] at @s run scoreboard players set @e[tag=colored_lamp,distance=..1.5] lamp_color 3
execute as @e[type=item,nbt={Item:{id:"minecraft:magenta_dye"}}] at @s run execute at @e[tag=colored_lamp,distance=..1.5] run kill @s

execute as @e[type=item,nbt={Item:{id:"minecraft:light_blue_dye"}}] at @s run scoreboard players set @e[tag=colored_lamp,distance=..1.5] lamp_color 4
execute as @e[type=item,nbt={Item:{id:"minecraft:light_blue_dye"}}] at @s run execute at @e[tag=colored_lamp,distance=..1.5] run kill @s

execute as @e[type=item,nbt={Item:{id:"minecraft:dandelion_yellow"}}] at @s run scoreboard players set @e[tag=colored_lamp,distance=..1.5] lamp_color 5
execute as @e[type=item,nbt={Item:{id:"minecraft:dandelion_yellow"}}] at @s run execute at @e[tag=colored_lamp,distance=..1.5] run kill @s

execute as @e[type=item,nbt={Item:{id:"minecraft:lime_dye"}}] at @s run scoreboard players set @e[tag=colored_lamp,distance=..1.5] lamp_color 6
execute as @e[type=item,nbt={Item:{id:"minecraft:lime_dye"}}] at @s run execute at @e[tag=colored_lamp,distance=..1.5] run kill @s

execute as @e[type=item,nbt={Item:{id:"minecraft:pink_dye"}}] at @s run scoreboard players set @e[tag=colored_lamp,distance=..1.5] lamp_color 7
execute as @e[type=item,nbt={Item:{id:"minecraft:pink_dye"}}] at @s run execute at @e[tag=colored_lamp,distance=..1.5] run kill @s

execute as @e[type=item,nbt={Item:{id:"minecraft:light_gray_dye"}}] at @s run scoreboard players set @e[tag=colored_lamp,distance=..1.5] lamp_color 8
execute as @e[type=item,nbt={Item:{id:"minecraft:light_gray_dye"}}] at @s run execute at @e[tag=colored_lamp,distance=..1.5] run kill @s

execute as @e[type=item,nbt={Item:{id:"minecraft:gray_dye"}}] at @s run scoreboard players set @e[tag=colored_lamp,distance=..1.5] lamp_color 9
execute as @e[type=item,nbt={Item:{id:"minecraft:gray_dye"}}] at @s run execute at @e[tag=colored_lamp,distance=..1.5] run kill @s

execute as @e[type=item,nbt={Item:{id:"minecraft:cyan_dye"}}] at @s run scoreboard players set @e[tag=colored_lamp,distance=..1.5] lamp_color 10
execute as @e[type=item,nbt={Item:{id:"minecraft:cyan_dye"}}] at @s run execute at @e[tag=colored_lamp,distance=..1.5] run kill @s

execute as @e[type=item,nbt={Item:{id:"minecraft:purple_dye"}}] at @s run scoreboard players set @e[tag=colored_lamp,distance=..1.5] lamp_color 11
execute as @e[type=item,nbt={Item:{id:"minecraft:purple_dye"}}] at @s run execute at @e[tag=colored_lamp,distance=..1.5] run kill @s

execute as @e[type=item,nbt={Item:{id:"minecraft:lapis_lazuli"}}] at @s run scoreboard players set @e[tag=colored_lamp,distance=..1.5] lamp_color 12
execute as @e[type=item,nbt={Item:{id:"minecraft:lapis_lazuli"}}] at @s run execute at @e[tag=colored_lamp,distance=..1.5] run kill @s

execute as @e[type=item,nbt={Item:{id:"minecraft:cocoa_beans"}}] at @s run scoreboard players set @e[tag=colored_lamp,distance=..1.5] lamp_color 13
execute as @e[type=item,nbt={Item:{id:"minecraft:cocoa_beans"}}] at @s run execute at @e[tag=colored_lamp,distance=..1.5] run kill @s

execute as @e[type=item,nbt={Item:{id:"minecraft:cactus_green"}}] at @s run scoreboard players set @e[tag=colored_lamp,distance=..1.5] lamp_color 14
execute as @e[type=item,nbt={Item:{id:"minecraft:cactus_green"}}] at @s run execute at @e[tag=colored_lamp,distance=..1.5] run kill @s

execute as @e[type=item,nbt={Item:{id:"minecraft:rose_red"}}] at @s run scoreboard players set @e[tag=colored_lamp,distance=..1.5] lamp_color 15
execute as @e[type=item,nbt={Item:{id:"minecraft:rose_red"}}] at @s run execute at @e[tag=colored_lamp,distance=..1.5] run kill @s

execute as @e[type=item,nbt={Item:{id:"minecraft:ink_sac"}}] at @s run scoreboard players set @e[tag=colored_lamp,distance=..1.5] lamp_color 16
execute as @e[type=item,nbt={Item:{id:"minecraft:ink_sac"}}] at @s run execute at @e[tag=colored_lamp,distance=..1.5] run kill @s



############################################################### 3D Redstone ##########################################



give @a[tag=give2] minecraft:endermite_spawn_egg{display:{Name:"{\"text\":\"§6§l3D Redstone\"}"},EntityTag:{id:"minecraft:endermite",Tags:["sp16","sp"]},HideFlags:63}
execute at @e[tag=sp16] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Invisible:1,Tags:["redstone","redstone_center"],Marker:1,DisabledSlots:4144959,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:100},Count:1}]}
execute at @e[tag=sp16] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Invisible:1,Tags:["redstone","redstone_y"],Marker:1,DisabledSlots:4144959,NoGravity:1}
execute at @e[tag=sp16] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Invisible:1,Tags:["redstone","redstone_x"],Marker:1,DisabledSlots:4144959,NoGravity:1}
execute at @e[tag=sp16] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Invisible:1,Tags:["redstone","redstone_z"],Marker:1,DisabledSlots:4144959,NoGravity:1}
execute at @e[tag=sp16] align xyz run setblock ~ ~ ~ barrier
execute as @e[tag=sp16] run data merge entity @s {DeathTime:19,Health:0}

scoreboard players set @e[tag=redstone_y] segment_y 0
execute as @e[tag=redstone_y] at @s if block ~ ~1 ~ sticky_piston run scoreboard players add @s segment_y 1
execute as @e[tag=redstone_y] at @s if block ~ ~1 ~ redstone_block run scoreboard players add @s segment_y 1
execute as @e[tag=redstone_y] at @s if block ~ ~1 ~ barrier run scoreboard players add @s segment_y 1
execute as @e[tag=redstone_y] at @s if block ~ ~-1 ~ sticky_piston run scoreboard players add @s segment_y 2
execute as @e[tag=redstone_y] at @s if block ~ ~-1 ~ redstone_block run scoreboard players add @s segment_y 2
execute as @e[tag=redstone_y] at @s if block ~ ~-1 ~ barrier run scoreboard players add @s segment_y 2

scoreboard players set @e[tag=redstone_x] segment_x 0
execute as @e[tag=redstone_x] at @s if block ~1 ~ ~ sticky_piston run scoreboard players add @s segment_x 1
execute as @e[tag=redstone_x] at @s if block ~1 ~ ~ redstone_block run scoreboard players add @s segment_x 1
execute as @e[tag=redstone_x] at @s if block ~1 ~ ~ barrier run scoreboard players add @s segment_x 1
execute as @e[tag=redstone_x] at @s if block ~-1 ~ ~ sticky_piston run scoreboard players add @s segment_x 2
execute as @e[tag=redstone_x] at @s if block ~-1 ~ ~ redstone_block run scoreboard players add @s segment_x 2
execute as @e[tag=redstone_x] at @s if block ~-1 ~ ~ barrier run scoreboard players add @s segment_x 2

scoreboard players set @e[tag=redstone_z] segment_z 0
execute as @e[tag=redstone_z] at @s if block ~ ~ ~1 sticky_piston run scoreboard players add @s segment_z 1
execute as @e[tag=redstone_z] at @s if block ~ ~ ~1 redstone_block run scoreboard players add @s segment_z 1
execute as @e[tag=redstone_z] at @s if block ~ ~ ~1 barrier run scoreboard players add @s segment_z 1
execute as @e[tag=redstone_z] at @s if block ~ ~ ~-1 sticky_piston run scoreboard players add @s segment_z 2
execute as @e[tag=redstone_z] at @s if block ~ ~ ~-1 redstone_block run scoreboard players add @s segment_z 2
execute as @e[tag=redstone_z] at @s if block ~ ~ ~-1 barrier run scoreboard players add @s segment_z 2

execute as @e[tag=redstone_y,scores={segment_y=0}] run data merge entity @s {ArmorItems:[{},{},{},{}]}
execute as @e[tag=redstone_y,scores={segment_y=1}] run data merge entity @s {ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:102},Count:1}]}
execute as @e[tag=redstone_y,scores={segment_y=2}] run data merge entity @s {ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:103},Count:1}]}
execute as @e[tag=redstone_y,scores={segment_y=3}] run data merge entity @s {ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:101},Count:1}]}

execute as @e[tag=redstone_x,scores={segment_x=0}] run data merge entity @s {ArmorItems:[{},{},{},{}]}
execute as @e[tag=redstone_x,scores={segment_x=1}] run data merge entity @s {ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:105},Count:1}]}
execute as @e[tag=redstone_x,scores={segment_x=2}] run data merge entity @s {ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:106},Count:1}]}
execute as @e[tag=redstone_x,scores={segment_x=3}] run data merge entity @s {ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:104},Count:1}]}

execute as @e[tag=redstone_z,scores={segment_z=0}] run data merge entity @s {ArmorItems:[{},{},{},{}]}
execute as @e[tag=redstone_z,scores={segment_z=1}] run data merge entity @s {ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:108},Count:1}]}
execute as @e[tag=redstone_z,scores={segment_z=2}] run data merge entity @s {ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:109},Count:1}]}
execute as @e[tag=redstone_z,scores={segment_z=3}] run data merge entity @s {ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:107},Count:1}]}

execute as @e[tag=redstone] at @s if block ~ ~ ~ air run kill @s

scoreboard players add @e[tag=redstone_center] power 0
scoreboard players remove @e[tag=redstone_center,scores={power=1..}] power 1
scoreboard players add @e[tag=redstone_center,scores={power=..-1}] power 1

execute as @e[tag=redstone_center,scores={power=98}] at @s run scoreboard players set @s power -3
execute as @e[tag=redstone_center,scores={power=0..1}] at @s if block ~ ~ ~1 redstone_block run scoreboard players set @s power 100
execute as @e[tag=redstone_center,scores={power=0..1}] at @s if block ~ ~ ~-1 redstone_block run scoreboard players set @s power 100
execute as @e[tag=redstone_center,scores={power=0..1}] at @s if block ~1 ~ ~ redstone_block run scoreboard players set @s power 100
execute as @e[tag=redstone_center,scores={power=0..1}] at @s if block ~-1 ~ ~ redstone_block run scoreboard players set @s power 100
execute as @e[tag=redstone_center,scores={power=0..1}] at @s if block ~ ~1 ~ redstone_block run scoreboard players set @s power 100
execute as @e[tag=redstone_center,scores={power=0..1}] at @s if block ~ ~-1 ~ redstone_block run scoreboard players set @s power 100

execute as @e[tag=redstone_center,scores={power=99}] at @s if block ~ ~ ~1 redstone_block run scoreboard players set @s power 100
execute as @e[tag=redstone_center,scores={power=99}] at @s if block ~ ~ ~-1 redstone_block run scoreboard players set @s power 100
execute as @e[tag=redstone_center,scores={power=99}] at @s if block ~1 ~ ~ redstone_block run scoreboard players set @s power 100
execute as @e[tag=redstone_center,scores={power=99}] at @s if block ~-1 ~ ~ redstone_block run scoreboard players set @s power 100
execute as @e[tag=redstone_center,scores={power=99}] at @s if block ~ ~1 ~ redstone_block run scoreboard players set @s power 100
execute as @e[tag=redstone_center,scores={power=99}] at @s if block ~ ~-1 ~ redstone_block run scoreboard players set @s power 100

execute as @e[tag=redstone_center] at @s if block ~ ~ ~ redstone_block run scoreboard players set @s power 3



execute as @e[tag=redstone_center,scores={power=100}] at @s run scoreboard players set @e[tag=redstone_center,scores={power=0},distance=..1.1] power 3
execute as @e[tag=redstone_center,scores={power=2..}] at @s run scoreboard players set @e[tag=redstone_center,scores={power=0..3},distance=..1.1] power 3

execute as @e[tag=redstone_center,scores={power=-3..-1}] at @s run scoreboard players set @e[tag=redstone_center,scores={power=1..3},distance=..1.1] power -3

execute as @e[tag=redstone_center,scores={power=3}] at @s if block ~-1 ~ ~ sticky_piston run setblock ~ ~ ~ redstone_block
execute as @e[tag=redstone_center,scores={power=3}] at @s if block ~1 ~ ~ sticky_piston run setblock ~ ~ ~ redstone_block
execute as @e[tag=redstone_center,scores={power=3}] at @s if block ~ ~1 ~ sticky_piston run setblock ~ ~ ~ redstone_block
execute as @e[tag=redstone_center,scores={power=3}] at @s if block ~ ~-1 ~ sticky_piston run setblock ~ ~ ~ redstone_block
execute as @e[tag=redstone_center,scores={power=3}] at @s if block ~ ~ ~-1 sticky_piston run setblock ~ ~ ~ redstone_block
execute as @e[tag=redstone_center,scores={power=3}] at @s if block ~ ~ ~1 sticky_piston run setblock ~ ~ ~ redstone_block
execute as @e[tag=redstone_center,scores={power=-3}] at @s if block ~ ~ ~ redstone_block run setblock ~ ~ ~ barrier




############################################################### Windows ##########################################

scoreboard players set @a[y_rotation=-45..45] p_rot 3
scoreboard players set @a[y_rotation=46..134] p_rot 2
scoreboard players set @a[y_rotation=-134..-46] p_rot 1
scoreboard players set @a[y_rotation=-180..-134] p_rot 4
scoreboard players set @a[y_rotation=134..180] p_rot 4



give @a[tag=give4] minecraft:endermite_spawn_egg{display:{Name:"{\"text\":\"§6§lWindow\"}"},EntityTag:{id:"minecraft:endermite",Tags:["sp18","sp"]},HideFlags:63}
execute at @e[tag=sp18] align xyz run tag @p add placer18

execute at @a[tag=placer18,scores={p_rot=4}] run execute at @e[tag=sp18] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Invisible:1,Tags:["window","window1"],Marker:1,DisabledSlots:4144959,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:110},Count:1}]}

execute at @a[tag=placer18,scores={p_rot=4}] run execute at @e[tag=sp18] align xyz run summon armor_stand ~0.0 ~0.5 ~-0.03 {Invisible:1,Tags:["blind1","blind"],Marker:1,DisabledSlots:4144959,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:113},Count:1}]}
execute at @a[tag=placer18,scores={p_rot=4}] run execute at @e[tag=sp18] align xyz run summon armor_stand ~1.0 ~0.5 ~-0.03 {Invisible:1,Tags:["blind2","blind"],Marker:1,DisabledSlots:4144959,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:112},Count:1}]}

execute at @a[tag=placer18,scores={p_rot=4}] run execute at @e[tag=sp18] align xyz run summon villager ~0.5 ~-0.5 ~1 {Tags:["window_villager","iv"],NoGravity:1,NoAI:1,Offers:{},Invulnerable:1,Silent:1,Team:"nocoll"}
execute at @a[tag=placer18,scores={p_rot=4}] run execute at @e[tag=sp18] align xyz run summon villager ~1.0 ~-0.5 ~-0.2 {Tags:["blind_villager1","iv","blind_villager"],NoGravity:1,NoAI:1,Offers:{},Invulnerable:1,Silent:1,Team:"nocoll"}
execute at @a[tag=placer18,scores={p_rot=4}] run execute at @e[tag=sp18] align xyz run summon villager ~0.0 ~-0.5 ~-0.2 {Tags:["blind_villager2","iv","blind_villager"],NoGravity:1,NoAI:1,Offers:{},Invulnerable:1,Silent:1,Team:"nocoll"}



execute at @a[tag=placer18,scores={p_rot=3}] run execute at @e[tag=sp18] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Invisible:1,Tags:["window","window1"],Marker:1,DisabledSlots:4144959,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:110},Count:1}],Rotation:[180f]}

execute at @a[tag=placer18,scores={p_rot=3}] run execute at @e[tag=sp18] align xyz run summon armor_stand ~1.0 ~0.5 ~1.03 {Invisible:1,Tags:["blind1","blind"],Marker:1,DisabledSlots:4144959,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:113},Count:1}],Rotation:[180f]}
execute at @a[tag=placer18,scores={p_rot=3}] run execute at @e[tag=sp18] align xyz run summon armor_stand ~0.0 ~0.5 ~1.03 {Invisible:1,Tags:["blind2","blind"],Marker:1,DisabledSlots:4144959,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:112},Count:1}],Rotation:[180f]}

execute at @a[tag=placer18,scores={p_rot=3}] run execute at @e[tag=sp18] align xyz run summon villager ~0.5 ~-0.5 ~0.0 {Tags:["window_villager","iv"],NoGravity:1,NoAI:1,Offers:{},Invulnerable:1,Silent:1,Team:"nocoll"}
execute at @a[tag=placer18,scores={p_rot=3}] run execute at @e[tag=sp18] align xyz run summon villager ~0.0 ~-0.5 ~1.2 {Tags:["blind_villager1","iv","blind_villager"],NoGravity:1,NoAI:1,Offers:{},Invulnerable:1,Silent:1,Team:"nocoll"}
execute at @a[tag=placer18,scores={p_rot=3}] run execute at @e[tag=sp18] align xyz run summon villager ~1.0 ~-0.5 ~1.2 {Tags:["blind_villager2","iv","blind_villager"],NoGravity:1,NoAI:1,Offers:{},Invulnerable:1,Silent:1,Team:"nocoll"}



execute at @a[tag=placer18,scores={p_rot=1}] run execute at @e[tag=sp18] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Invisible:1,Tags:["window","window1"],Marker:1,DisabledSlots:4144959,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:110},Count:1}],Rotation:[90f]}

execute at @a[tag=placer18,scores={p_rot=1}] run execute at @e[tag=sp18] align xyz run summon armor_stand ~1.03 ~0.5 ~0.0 {Invisible:1,Tags:["blind1","blind"],Marker:1,DisabledSlots:4144959,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:113},Count:1}],Rotation:[90f]}
execute at @a[tag=placer18,scores={p_rot=1}] run execute at @e[tag=sp18] align xyz run summon armor_stand ~1.03 ~0.5 ~1.0 {Invisible:1,Tags:["blind2","blind"],Marker:1,DisabledSlots:4144959,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:112},Count:1}],Rotation:[90f]}

execute at @a[tag=placer18,scores={p_rot=1}] run execute at @e[tag=sp18] align xyz run summon villager ~0.0 ~-0.5 ~0.5 {Tags:["window_villager","iv"],NoGravity:1,NoAI:1,Offers:{},Invulnerable:1,Silent:1,Team:"nocoll"}
execute at @a[tag=placer18,scores={p_rot=1}] run execute at @e[tag=sp18] align xyz run summon villager ~1.2 ~-0.5 ~1.0 {Tags:["blind_villager1","iv","blind_villager"],NoGravity:1,NoAI:1,Offers:{},Invulnerable:1,Silent:1,Team:"nocoll"}
execute at @a[tag=placer18,scores={p_rot=1}] run execute at @e[tag=sp18] align xyz run summon villager ~1.2 ~-0.5 ~0.0 {Tags:["blind_villager2","iv","blind_villager"],NoGravity:1,NoAI:1,Offers:{},Invulnerable:1,Silent:1,Team:"nocoll"}



execute at @a[tag=placer18,scores={p_rot=2}] run execute at @e[tag=sp18] align xyz run summon armor_stand ~0.5 ~0.5 ~0.5 {Invisible:1,Tags:["window","window1"],Marker:1,DisabledSlots:4144959,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:110},Count:1}],Rotation:[-90f]}

execute at @a[tag=placer18,scores={p_rot=2}] run execute at @e[tag=sp18] align xyz run summon armor_stand ~-0.03 ~0.5 ~1.0 {Invisible:1,Tags:["blind1","blind"],Marker:1,DisabledSlots:4144959,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:113},Count:1}],Rotation:[-90f]}
execute at @a[tag=placer18,scores={p_rot=2}] run execute at @e[tag=sp18] align xyz run summon armor_stand ~-0.03 ~0.5 ~0.0 {Invisible:1,Tags:["blind2","blind"],Marker:1,DisabledSlots:4144959,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:112},Count:1}],Rotation:[-90f]}

execute at @a[tag=placer18,scores={p_rot=2}] run execute at @e[tag=sp18] align xyz run summon villager ~1.0 ~-0.5 ~0.5 {Tags:["window_villager","iv"],NoGravity:1,NoAI:1,Offers:{},Invulnerable:1,Silent:1,Team:"nocoll"}
execute at @a[tag=placer18,scores={p_rot=2}] run execute at @e[tag=sp18] align xyz run summon villager ~0.2 ~-0.5 ~0.0 {Tags:["blind_villager1","iv","blind_villager"],NoGravity:1,NoAI:1,Offers:{},Invulnerable:1,Silent:1,Team:"nocoll"}
execute at @a[tag=placer18,scores={p_rot=2}] run execute at @e[tag=sp18] align xyz run summon villager ~0.2 ~-0.5 ~1.0 {Tags:["blind_villager2","iv","blind_villager"],NoGravity:1,NoAI:1,Offers:{},Invulnerable:1,Silent:1,Team:"nocoll"}







execute at @e[tag=sp18] align xyz run execute as @e[tag=blind] at @s run tp @s ~ ~ ~ ~ ~


execute at @e[tag=sp18] align xyz run setblock ~ ~ ~ barrier
execute as @e[tag=sp18] run data merge entity @s {DeathTime:19,Health:0}
tag @a[tag=placer18] remove placer18




scoreboard players add @e[tag=window] window_state 0
execute as @a[scores={talk=1}] at @s positioned ^ ^ ^0.25 positioned ~ ~-0.5 ~ run execute at @e[tag=window_villager,distance=..1.1] run scoreboard players add @e[tag=window,limit=1,sort=nearest] window_state 1
execute as @a[scores={talk=1}] at @s positioned ^ ^ ^0.25 positioned ~ ~-0.5 ~ run execute at @e[tag=window_villager,distance=..1.1] run execute as @e[tag=window,scores={window_state=2},distance=..2,limit=1,sort=nearest] run playsound minecraft:block.iron_door.open master @a
execute as @a[scores={talk=1}] at @s positioned ^ ^ ^0.25 positioned ~ ~-0.5 ~ run execute at @e[tag=window_villager,distance=..1.1] run execute as @e[tag=window,scores={window_state=1},distance=..2,limit=1,sort=nearest] run playsound minecraft:block.iron_door.close master @a

scoreboard players set @e[tag=window,scores={window_state=2..}] window_state 0
execute as @e[tag=window,scores={window_state=0}] run data merge entity @s {ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:110},Count:1}]}
execute as @e[tag=window,scores={window_state=1}] run data merge entity @s {ArmorItems:[{},{},{},{id:"minecraft:diamond_pickaxe",tag:{Unbreakable:1,Damage:111},Count:1}]}

scoreboard players add @e[tag=blind] blind_state 0
execute as @a[scores={talk=1}] at @s positioned ^ ^ ^0.55 positioned ~ ~-0.5 ~ run execute at @e[tag=blind_villager,distance=..1.1] run tag @e[tag=blind,limit=1,sort=nearest] add blind_tp
scoreboard players set @e[tag=blind,scores={blind_state=12..}] blind_state 0

execute as @e[tag=blind1,tag=blind_tp,scores={blind_state=0..5}] at @s run tp @s ~ ~ ~ ~-29 ~
execute as @e[tag=blind2,tag=blind_tp,scores={blind_state=0..5}] at @s run tp @s ~ ~ ~ ~29 ~

execute as @e[tag=blind1,tag=blind_tp,scores={blind_state=6..11}] at @s run tp @s ~ ~ ~ ~29 ~
execute as @e[tag=blind2,tag=blind_tp,scores={blind_state=6..11}] at @s run tp @s ~ ~ ~ ~-29 ~

scoreboard players add @e[tag=blind_tp] blind_state 1
tag @e[tag=blind_tp] remove blind_tp


execute as @e[tag=window] at @s if block ~ ~ ~ air run execute as @e[tag=iv,distance=..2,limit=3,sort=nearest] run data merge entity @s {Health:0,DeathTime:19}
execute as @e[tag=window] at @s if block ~ ~ ~ air run kill @e[tag=blind,limit=2,sort=nearest,distance=..2]
execute as @e[tag=window] at @s if block ~ ~ ~ air run kill @s




















effect give @e[tag=iv] invisibility 99 9 true
tag @a remove give4
tag @a remove give3
tag @a remove give2
tag @a remove give1
tag @a remove give
scoreboard players set @a talk 0
scoreboard players set @a sneak 0
scoreboard players set @a jump 0
scoreboard players set @a rc 0



